View Issue Details

IDProjectCategoryView StatusLast Update
0000467bareos-coreGeneralpublic2015-06-01 16:18
Reporterzverg Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformwindowsOSwindows serverOS Version2012
Product Version14.2.2 
Summary0000467: Error in restoring deduplicated files
DescriptionDirector and SD installed on Debian 7. FD installed on Windows Server 2012. On the disc with a folder with files for backup deduplication enabled. The backup job runs correctly without any errors. downloaded size, comparable to the actual used disk space (deduplicated files). However, when you try to restore deduplicated file I get the error:

*messages
19-Май 10:48 bareos-dir JobId 34: Start Restore Job host_restore.2015-05-19_10.48.27_07
19-Май 10:48 bareos-dir JobId 34: Using Device "host-fs" to read.
19-Май 10:48 bareos-sd JobId 34: Ready to read from volume "Inc-host-0008" on device "host-fs" (/raid/backup/host).
19-Май 10:48 bareos-sd JobId 34: Forward spacing Volume "Inc-host-0008" to file:block 0:644167977.
*messages
19-Май 10:48 host-fd JobId 34: Error: findlib/create_file.c:386 Could not symlink D:/Shares/GDrive/1Cv8.dt -> : ERR=No error
19-Май 10:48 bareos-dir JobId 34: Bareos bareos-dir 14.2.2 (12Dec14):
  Build OS: x86_64-pc-linux-gnu debian Debian GNU/Linux 7.0 (wheezy)
  JobId: 34
  Job: host_restore.2015-05-19_10.48.27_07
  Restore Client: host-fd
  Start time: 19-Май-2015 10:48:29
  End time: 19-Май-2015 10:48:30
  Elapsed time: 1 sec
  Files Expected: 1
  Files Restored: 0
  Bytes Restored: 0
  Rate: 0.0 KB/s
  FD Errors: 0
  FD termination status: OK
  SD termination status: OK
  Termination: Restore OK -- warning file count mismatch

19-Май 10:48 bareos-dir JobId 34: Begin pruning Files.
19-Май 10:48 bareos-dir JobId 34: No Files found to prune.
19-Май 10:48 bareos-dir JobId 34: End auto prune.

If restore not deduplicated file, then all is well.

I tried set hardlinks=no, but no result.
Additional InformationClient {
        Name = host-fd
        Address = host.domain.local
        FDPort = 9102
        Catalog = MyCatalog
        Password = "zblinPJ1C8Gxcb8WPzNdrSceajgpderlkxLTxWIRW8fI"
        File Retention = 280 days
        Job Retention = 365 days
        AutoPrune = yes
        Maximum Concurrent Jobs = 100
}

Storage {
        Name = host
        Address = 10.0.0.250
        SDPort = 9103
        Password = "secret"
        Device = host-fs
        Media Type = File
        Maximum Concurrent Jobs = 100
}

FileSet {
        Name = host_fileset
        Enable VSS = YES
        Include {
                Options {
# WildDir = "D:/Foto"
                        Exclude = yes
                        IgnoreCase = yes
                        hardlinks=yes
               }
                Options {
                        signature = MD5
                        Compression=GZIP
                }
                File = "D:/Shares/GDrive"
        }
}

Job {
        Name = host_job
        Type = Backup
        Client = host-fd
        FileSet = host_fileset
        Storage = host
        Pool = Default
        Full Backup Pool = Full-host-Pool
        Differential Backup Pool = Diff-host-Pool
        Incremental Backup Pool = Inc-host-Pool
        Messages = Standart
        Schedule = "host"
        Maximum Concurrent Jobs = 100
        SpoolData = yes
}
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

mvwieringen

mvwieringen

2015-05-22 18:25

developer   ~0001737

Fix committed to bareos master branch with changesetid 5264.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001762

Fix committed to bareos bareos-14.2 branch with changesetid 5357.

Related Changesets

bareos: master 7804e55c

2015-05-20 13:54:54

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Treat deduplicated reparse points correctly

IO_REPARSE_TAG_DEDUP reparse points were treated like symlinks before.
We now understand these reparese points and treat them like normal
files, which is called

"Nonoptimized Backup and Restore of Data Deduplication-Enabled Volumes"

This means the files are treated like normal files and not like reparse
points.

Files on deduplicated volumes can be backed up and restored like files
on any other windows filesystem.

For more details see:

https://msdn.microsoft.com/en-us/library/hh769304%28v=vs.85%29.aspx

Fixes 0000467: Error in restoring deduplicated files
Affected Issues
0000467
mod - src/findlib/attribs.c Diff File
mod - src/win32/compat/compat.c Diff File

bareos: bareos-14.2 b0b2178d

2015-05-20 13:54:54

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Treat deduplicated reparse points correctly

IO_REPARSE_TAG_DEDUP reparse points were treated like symlinks before.
We now understand these reparese points and treat them like normal
files, which is called

"Nonoptimized Backup and Restore of Data Deduplication-Enabled Volumes"

This means the files are treated like normal files and not like reparse
points.

Files on deduplicated volumes can be backed up and restored like files
on any other windows filesystem.

For more details see:

https://msdn.microsoft.com/en-us/library/hh769304%28v=vs.85%29.aspx

Fixes 0000467: Error in restoring deduplicated files
Affected Issues
0000467
mod - src/findlib/attribs.c Diff File
mod - src/win32/compat/compat.c Diff File

Issue History

Date Modified Username Field Change
2015-05-19 08:16 zverg New Issue
2015-05-20 18:01 pstorz Assigned To => pstorz
2015-05-20 18:01 pstorz Status new => assigned
2015-05-22 18:25 mvwieringen Changeset attached => bareos master 7804e55c
2015-05-22 18:25 mvwieringen Note Added: 0001737
2015-05-22 18:25 mvwieringen Status assigned => resolved
2015-05-22 18:25 mvwieringen Resolution open => fixed
2015-05-27 12:33 joergs bareos-master: impact => yes
2015-05-27 12:33 joergs bareos-master: action => fixed
2015-05-27 12:33 joergs bareos-14.2: impact => yes
2015-05-27 12:33 joergs bareos-14.2: action => will care
2015-05-27 12:33 joergs Relationship added child of 0000447
2015-05-27 14:02 pstorz bareos-13.2: action => none
2015-05-27 14:02 pstorz bareos-12.4: action => none
2015-05-27 14:18 pstorz Assigned To pstorz =>
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 b0b2178d
2015-05-29 18:06 mvwieringen Note Added: 0001762
2015-06-01 16:18 joergs bareos-14.2: action will care => fixed
2015-06-01 16:18 joergs Status resolved => closed